##
##  honeyd.conf
##

#   Linux 2.4.x host definition
create linuxhost
set linuxhost personality  "Linux kernel 2.4.18 - 2.4.20 (X86)"
add linuxhost tcp port 21  "@l_prefix@/libexec/honeyd/ftp.sh"
add linuxhost tcp port 25  "@l_prefix@/libexec/honeyd/smtp.sh"
add linuxhost tcp port 110 "@l_prefix@/libexec/honeyd/pop3.sh"
add linuxhost tcp port 22  "@l_prefix@/libexec/honeyd/svcs.sh ssh"
add linuxhost tcp port 80  "@l_prefix@/libexec/honeyd/svcs.sh http"
add linuxhost tcp port 53  open
add linuxhost udp port 53  open
add linuxhost tcp port 69  open
add linuxhost udp port 69  open
add linuxhost tcp port 554 open
add linuxhost udp port 554 open
add linuxhost tcp port 23  proxy $ipsrc:23
set linuxhost default tcp  action reset
set linuxhost default udp  action reset
set linuxhost uptime 2655300
set linuxhost uid @l_muid@ gid @l_mgid@

#   AIX 4.X host definition
create unixhost
set unixhost personality  "IBM AIX 4.0 - 4.2"
add unixhost tcp port 21  "@l_prefix@/libexec/honeyd/ftp.sh"
add unixhost tcp port 25  "@l_prefix@/libexec/honeyd/smtp.sh"
add unixhost tcp port 110 "@l_prefix@/libexec/honeyd/pop3.sh"
add unixhost tcp port 22  "@l_prefix@/libexec/honeyd/svcs.sh ssh"
add unixhost tcp port 80  "@l_prefix@/libexec/honeyd/svcs.sh http"
add unixhost tcp port 53  open
add unixhost udp port 53  open
add unixhost tcp port 111 open
add unixhost udp port 111 open
add unixhost tcp port 123 open
add unixhost udp port 123 open
add unixhost tcp port 23  proxy $ipsrc:23
set unixhost default tcp  action reset
set unixhost default udp  action reset
set unixhost uptime 3284460
set unixhost uid @l_muid@ gid @l_mgid@

#   Windows NT 4.0 host definition
create winhost
set winhost personality  "Microsoft Windows NT 4.0 Server SP5-SP6"
add winhost tcp port 21  "@l_prefix@/libexec/honeyd/ftp.sh"
add winhost tcp port 25  "@l_prefix@/libexec/honeyd/smtp.sh"
add winhost tcp port 110 "@l_prefix@/libexec/honeyd/pop3.sh"
add winhost tcp port 137 open
add winhost udp port 137 open
set winhost default tcp  action reset
set winhost default udp  action reset
set winhost uptime 663825
set winhost uid @l_muid@ gid @l_mgid@

#   Bind hosts
bind 192.168.100.201 linuxhost
bind 192.168.100.202 unixhost
bind 192.168.100.203 winhost

